Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence
Class JpaProcessPersistenceContextManager

    java.lang.Object
      org.drools.persistence.jpa.JpaPersistenceContextManager
          org.jbpm.persistence.JpaProcessPersistenceContextManager

All Implemented Interfaces:
  org.drools.persistence.PersistenceContextManager, ProcessPersistenceContextManager

    public class JpaProcessPersistenceContextManager

extends org.drools.persistence.jpa.JpaPersistenceContextManager
implements ProcessPersistenceContextManager

Field Summary

Fields inherited from class org.drools.persistence.jpa.JpaPersistenceContextManager
`cmdScopedEntityManager`

Constructor Summary
`JpaProcessPersistenceContextManager(Environment env)`

Method Summary
`ProcessPersistenceContext` | `getProcessPersistenceContext()`

Methods inherited from class org.drools.persistence.jpa.JpaPersistenceContextManager
`beginCommandScopedEntityManager, clearPersistenceContext, dispose, endCommandScopedEntityManager, getApplicationScopedPersistenceContext, getCommandScopedPersistenceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.persistence.PersistenceContextManager
`beginCommandScopedEntityManager, clearPersistenceContext, dispose, endCommandScopedEntityManager, getApplicationScopedPersistenceContext, getCommandScopedPersistenceContext`

Constructor Detail

### JpaProcessPersistenceContextManager

    public JpaProcessPersistenceContextManager(Environment env)

Method Detail

### getProcessPersistenceContext

    public ProcessPersistenceContext getProcessPersistenceContext()

  Specified by:
    `getProcessPersistenceContext` in interface `ProcessPersistenceContextManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.